if(document.body.classList.contains("body--projet")){

    // /* ||| Gestion device lock ||| */
    var sectionLockP = document.querySelector(".lockdevice__p");
    var lockBulle = document.querySelector("#lockBulle");
        if(window.innerWidth > 700){
            sectionLockP.innerHTML = "Tourner l’écran pour commencer à jouer !";
            lockBulle.innerHTML = "Faut tourner l’écran qu’on vous dit ! C’est pas vrai ça !";
        }

    /* ||| Récupération objets globaux ||| */

    var container = document.querySelector(".container");
    var scene = document.querySelectorAll(".scene");
    var divJeux = document.querySelector(".jeux");
    var divPersonalisation = document.querySelector(".personalisation");
    var divInformation = document.querySelector(".information");
    var divEpilogue = document.querySelector(".epilogue");
    var EpilogueP = document.querySelector("#epilogue__p");

    /* !!! Récupération des sons !!! */ 

    var bruitagePas = new Audio("assets/audio/bruits-pas2.mp3");
    var audio = new Audio("assets/audio/musique_demo.mp3");
    var bruitagePorte = new Audio("assets/audio/bruits_porte.mp3");
    var bruitCor = new Audio("assets/audio/bruits-cor.mp3");
    var sonFeu = new Audio("assets/audio/fire.mp3");
    var sonPiece = new Audio("assets/audio/pieces.mp3");
    var sonGeole = new Audio("assets/audio/geole.mp3");
    var sonArmes = new Audio("assets/audio/sword.mp3");
    var audioPrepa = new Audio("assets/audio/musique_prepa.mp3");
    var bruitage = new Audio("assets/audio/click-perso.mp3");
    var bruitageDialogue = new Audio("assets/audio/bruits_dialogue.mp3");
    var sonCuisine = new Audio("assets/audio/cuisine.mp3");
    var btnSon = document.querySelector(".son__btn");


    /*Couper le son*/

    btnSon.addEventListener("click", function(){
        StopSon();
        audio.pause();
        setTimeout(function(){ 
            btnSon.classList.toggle("sonoff");
        }, 100);
        if(btnSon.classList.contains("sonoff")){
            audio.play();
            if(scene[0].classList.contains("display") == false || scene[3].classList.contains("display") == false){
                sonFeu.play();
            }
            else if(scene[1].classList.contains("display") == false){
                sonPiece.play();
            }
            else if(scene[2].classList.contains("display") == false){
                sonArmes.play();
            }
            else if(scene[4].classList.contains("display") == false){
                sonCuisine.play();
            }
            else if(scene[5].classList.contains("display") == false){
                sonGeole.play();
            }
        }
    });

    function StopSon(){
        sonFeu.pause();
        sonGeole.pause();
        sonPiece.pause();
        sonArmes.pause();
        sonGeole.pause();
        sonCuisine.pause();
    }
    function ActivationSonFeu(){
        setTimeout(function(){
            sonFeu.play();
            sonFeu.loop = true;
            sonFeu.volume = 0.70;  
        }, 1500);
    }
    function ActivationSonArmes(){
        setTimeout(function(){
            sonArmes.play();
            sonArmes.loop = true;
            sonArmes.volume = 0.50;  
        }, 1500);
    }
    function ActivationSonGeole(){
        setTimeout(function(){
            sonGeole.play();
            sonGeole.loop = true;
            sonGeole.volume = 0.70;  
        }, 1500);
    }
    function ActivationSonPiece(){
        setTimeout(function(){
            sonPiece.play();
            sonPiece.loop = true;
            sonPiece.volume = 0.80;  
        }, 1500);
    }
    function ActivationSonCuisine(){
        setTimeout(function(){
            sonCuisine.play();
            sonCuisine.loop = true;
            sonCuisine.volume = 0.80;  
        }, 1500);
    }

    /* ||| Introduction ||| */

    var intro = document.querySelector(".introduction");
    var titleIntro = document.querySelector(".title--introduction");
    var checkIntro = 0;
    bruitCor.play();
    let intervalIntro;
    intervalIntro = setInterval(function(){
        if(checkIntro == 0){
            titleIntro.innerHTML = "L'amulette des voeux";
        }
        else{
            titleIntro.innerHTML = "Par Logan Dedobbeleer";
        }
        checkIntro++;
    }, 1000);

    setTimeout(function(){
        clearInterval(intervalIntro);
        intro.classList.add("display");
        audioPrepa.play();
        audioPrepa.loop = true;
        audioPrepa.volume = 0.15; 
    }, 3000);

    /* ||| ptich ||| */

    var divPitch = document.querySelector(".pitch");
    var btnPitchValidation = document.querySelector(".pitch__btn--ok");
    var btnPitchExplication = document.querySelector(".pitch__btn--pasok");
    btnPitchValidation.addEventListener("click", function(){
        divPitch.classList.add("display");
        divPersonalisation.classList.remove("display");
    });
    btnPitchExplication.addEventListener("click", function(){
        divPitch.classList.add("display");
        divInformation.classList.remove("display");;
    });

    /* ||| explication ||| */

    var SectionInformation = document.querySelector(".information");
    var informationImg = document.querySelectorAll(".informationPersonnage__img");
    var informationP = document.querySelector("#informationP");
    var btnPret = document.querySelector(".information__btn");
    const url4 = "assets/json/description.json";
    let cache4 = [];
    fetch(url4)
    .then(response => response.json())
    .then(json => {
        cache4 = json;
        information();
    });
    function information(){
        for(let i=0; i < informationImg.length; i++){
            informationImg[i].addEventListener("click", function(){
                for(let j=0; j < informationImg.length; j++){
                    informationImg[j].classList.add("informationPersonnage__img--nb");
                }
                this.classList.remove("informationPersonnage__img--nb");
                informationP.innerHTML = cache4.json.personnage[i].description;
            });
        }

    }
    btnPret.addEventListener("click", function(){
        SectionInformation.classList.add("display");
        divPersonalisation.classList.remove("display");
    });

    /* ||| Fondus déplacement ||| */

    function fondus(){
        let newDiv = document.createElement("div");
        document.body.appendChild(newDiv);
        newDiv.classList.add("black", "black--animation");
        if(btnSon.classList.contains("sonoff") == false){
        bruitagePas.play(); 
        }
        setTimeout(function(){
            document.body.removeChild(newDiv);
        }, 2000);
    }

    /* ||| Personalisation personnage ||| */

    var btnLeft = document.querySelectorAll(".btn--left");
    var btnRight = document.querySelectorAll(".btn--right");
    var img = document.querySelector(".perso");
    var validation = document.querySelector(".personalisation__btn--validation");
    var annulation = document.querySelector(".personalisation__btn--annulation");
    var conteur = 1;
    var w = 0;
    var y = 0;
    var z = 0;

    btnLeft[0].addEventListener("click", function(){
        if( w > 0){
            btnRight[0].classList.remove("btn--opacity");
            conteur--;
            img.setAttribute("src", "assets/img/personnages/"+conteur+".svg");
            w--;
        }
        if (w == 0){
            btnLeft[0].classList.add("btn--opacity");
        }
    });
    btnRight[0].addEventListener("click", function(){
        btnLeft[0].classList.remove("btn--opacity");
        if(w < 2){
            conteur++;
            img.setAttribute("src", "assets/img/personnages/"+conteur+".svg");
            w++;
        }
        if(w == 2){
            btnRight[0].classList.add("btn--opacity");
        }
    });

    btnLeft[1].addEventListener("click", function(){
        btnRight[1].classList.remove("btn--opacity");
            if( y > 0){
                conteur = conteur - 10;
                img.setAttribute("src", "assets/img/personnages/"+conteur+".svg");
                y = y - 10;
            }
            if (y == 0){
                btnLeft[1].classList.add("btn--opacity");
            }
    });

    btnRight[1].addEventListener("click", function(){
        btnLeft[1].classList.remove("btn--opacity");
        if(y < 20){
            conteur= conteur + 10;
            img.setAttribute("src", "assets/img/personnages/"+conteur+".svg");
            y = y + 10;
        }
        if(y == 20){
            btnRight[1].classList.add("btn--opacity");
        }
    });

    btnLeft[2].addEventListener("click", function(){
        btnRight[2].classList.remove("btn--opacity");
            if( z > 0){
                conteur = conteur - 100;
                img.setAttribute("src", "assets/img/personnages/"+conteur+".svg");
                z = z - 100;
            }
            if (z == 0){
                btnLeft[2].classList.add("btn--opacity");
            }
    });

    btnRight[2].addEventListener("click", function(){   
        btnLeft[2].classList.remove("btn--opacity");
        if(z < 200){
            conteur= conteur + 100;
            img.setAttribute("src", "assets/img/personnages/"+conteur+".svg");
            z = z + 100;
        }
        if(z == 200){
            btnRight[2].classList.add("btn--opacity");
        }
    });

    validation.addEventListener("click", function(){
        fondus();
        bruitagePorte.play();
        divPersonalisation.classList.add("display");
        divJeux.classList.remove("display");
        audioPrepa.pause();
        audio.play();
        audio.loop = true;
        audio.volume = 0.035; 

        ActivationSonFeu();
    });
    annulation.addEventListener("click", function(){
        conteur = 1;
        img.setAttribute("src", "assets/img/personnages/"+conteur+".svg");
        w = 0;
        y = 0;
        z = 0;
        for(let i=0; i<btnLeft.length; i++){
            btnLeft[i].classList.add("btn--opacity");
            btnRight[i].classList.remove("btn--opacity");
        }
    });

    /* ||| Gestion des déplacement ||| */

    var positionTete = document.querySelector(".carte__div");
    var btnMoove = document.querySelectorAll(".btnMoove");
    function displayarrow(){
        for(let i=0; i<4; i++){
            btnMoove[i].classList.add("display")
        }
    }
    for(let i=0; i<4; i++){
        btnMoove[i].addEventListener("click", function(){
            StopSon()
            fondus();
            displayarrow()
            if(i == 0){
                if(scene[2].classList.contains("display") == false){
                    btnMoove[3].classList.remove("display");
                    scene[2].classList.add("display");
                    scene[3].classList.remove("display"); 
                    if(btnSon.classList.contains("sonoff") == false){
                    ActivationSonFeu(); 
                    }
                    positionTete.style.transform = "translateY(-150%)";
                }
                else if(scene[5].classList.contains("display") == false){
                    btnMoove[1].classList.remove("display");
                    btnMoove[3].classList.remove("display");
                    scene[5].classList.add("display");
                    scene[4].classList.remove("display"); 
                    if(btnSon.classList.contains("sonoff") == false){
                        ActivationSonCuisine();
                    }
                    positionTete.style.transform = "translateY(-50%) translateX(100%)";
                }
            }
            else if(i == 1){
                if(scene[0].classList.contains("display") == false){
                    btnMoove[2].classList.remove("display");
                    scene[0].classList.add("display");
                    scene[1].classList.remove("display");
                    if(btnSon.classList.contains("sonoff") == false){
                        ActivationSonPiece();
                    }          
                    positionTete.style.transform = "translateY(-50%) translateX(-200%)";
                }
                else if(scene[2].classList.contains("display") == false){
                    btnMoove[1].classList.remove("display");
                    btnMoove[2].classList.remove("display");
                    scene[2].classList.add("display");
                    scene[0].classList.remove("display"); 
                    if(btnSon.classList.contains("sonoff") == false){
                    ActivationSonFeu(); 
                    }
                    positionTete.style.transform = "translateY(-50%) translateX(-100%)";
                }
                else if(scene[4].classList.contains("display") == false){
                    btnMoove[0].classList.remove("display");
                    btnMoove[1].classList.remove("display");
                    btnMoove[2].classList.remove("display");
                    scene[4].classList.add("display");
                    scene[2].classList.remove("display");  
                    if(btnSon.classList.contains("sonoff") == false){
                        ActivationSonArmes();
                    }
                    positionTete.style.transform = "translateY(-50%)";
                }
            }
            else if(i == 2){
                if(scene[1].classList.contains("display") == false){
                    btnMoove[1].classList.remove("display");
                    btnMoove[2].classList.remove("display");
                    scene[1].classList.add("display");
                    scene[0].classList.remove("display"); 
                    if(btnSon.classList.contains("sonoff") == false){
                        ActivationSonFeu();
                    }
                    positionTete.style.transform = "translateY(-50%) translateX(-100%)";
                }
                else if(scene[0].classList.contains("display") == false){
                    btnMoove[0].classList.remove("display");
                    btnMoove[1].classList.remove("display");
                    btnMoove[2].classList.remove("display");
                    scene[0].classList.add("display");
                    scene[2].classList.remove("display"); 
                    if(btnSon.classList.contains("sonoff") == false){
                        ActivationSonArmes();
                    }
                    positionTete.style.transform = "translateY(-50%)";
                }
                else if(scene[2].classList.contains("display") == false){
                    btnMoove[1].classList.remove("display");
                    btnMoove[3].classList.remove("display");
                    scene[2].classList.add("display");
                    scene[4].classList.remove("display"); 
                    if(btnSon.classList.contains("sonoff") == false){
                        ActivationSonCuisine();
                    }
                    positionTete.style.transform = "translateY(-50%) translateX(100%)";
                }
            }
            else if(i == 3){
                if(scene[3].classList.contains("display") == false){
                    btnMoove[0].classList.remove("display");
                    btnMoove[1].classList.remove("display");
                    btnMoove[2].classList.remove("display");
                    scene[3].classList.add("display");
                    scene[2].classList.remove("display"); 
                    if(btnSon.classList.contains("sonoff") == false){
                        ActivationSonArmes();
                    }
                    positionTete.style.transform = "translateY(-50%)";
                }
                else if(scene[4].classList.contains("display") == false){
                    btnMoove[0].classList.remove("display");
                    scene[4].classList.add("display");
                    scene[5].classList.remove("display"); 
                    if(btnSon.classList.contains("sonoff") == false){
                    ActivationSonGeole(); 
                    }
                    positionTete.style.transform = "translateY(50%) translateX(100%)";
                }
            }
        });
    }

    /* ||| Animation background ||| */

    var animationRat = document.querySelector(".animation--rat");
    var animationAreignee = document.querySelector(".animation--areignee");
    setInterval(function(){
         animationRat.style.animation = "animationrat 3s";
         animationAreignee.style.animation = "animationareignee 3s infinite";
         setTimeout(function(){
            animationRat.style.animation = "none";
            animationAreignee.style.animation = "none";
         }, 3000)
    }, 10000);

    /* ||| Affichage des personnages ||| */

    const url3 = "assets/json/personnage.json";
    let cache3 = [];
    fetch(url3)
    .then(response => response.json())
    .then(json => {
        cache3 = json;
        personnage();
    });

    /* "avancement" variables permettant la progression dans le jeux à l'aide des différentes vague de personnages et d'indices */

    var avancement = 0;
    var avancementIndice = 0;
    var avancementDisplay = 0;
    var avancementDisplayIndice = 0;

    function personnage(){
        let vague = cache3.personnage.vague1;

        function generation(){

            for(let i=0; i<vague.perso.length; i++){
                let newImg = document.createElement("img");
                newImg.setAttribute("src", "assets/img/personnages/"+vague.perso[i].image);
                newImg.classList.add(vague.perso[i].class, "personnage")
                if(vague.perso[i].display == "display"){
                    newImg.classList.add("display");
                }
                childScene();
                function childScene(){
                    if(vague.perso[i].parent == "scene[0]"){
                        scene[0].appendChild(newImg);
                    }
                    else if(vague.perso[i].parent == "scene[1]"){
                        scene[1].appendChild(newImg);
                    }
                    else if(vague.perso[i].parent == "scene[2]"){
                        scene[2].appendChild(newImg);
                    }
                    else if(vague.perso[i].parent == "scene[3]"){
                        scene[3].appendChild(newImg);
                    }
                    else if(vague.perso[i].parent == "scene[4]"){
                        scene[4].appendChild(newImg);
                    }
                    else{
                        scene[5].appendChild(newImg);
                    }
                }
        
                newImg.addEventListener("click", function(){
                    let interval;
                    let j = 0;
                    if(btnSon.classList.contains("sonoff") == false){
                        bruitage.play();
                        bruitage.volume = 0.30;
                    }
                    
                    let divNoir = document.createElement("div");
                    divNoir.classList.add("divNoir");
                    container.appendChild(divNoir);
        
                    let imgDialogue = document.createElement("img");
                    imgDialogue.setAttribute("src", "assets/img/personnages/"+vague.perso[i]["interraction"][0].personnage+".svg");
                    if (vague.perso[i]["interraction"][0].personnage == "1"){
                        imgDialogue.setAttribute("src", "assets/img/personnages/"+conteur+".svg");
                    }
                    imgDialogue.classList.add(vague.perso[i].class_dialogue);
                    
                    this.parentNode.appendChild(imgDialogue);
        
                    let divDialogue = document.createElement("div");
                    this.parentNode.appendChild(divDialogue);
                    divDialogue.classList.add("divdialogue");
                    let divDialogueP = document.createElement("p");
                    divDialogue.appendChild(divDialogueP);
        
                    let texte = vague.perso[i]["interraction"][0].replique;
                    let arrayTexte = texte.split("");
                    interval = setInterval(function(){dialogue(arrayTexte,0)}, 35);
        
                    function dialogue(txt){
                        if ( j < txt.length){
                            divDialogueP.innerHTML += txt[j];
                            j++;
                            if(btnSon.classList.contains("sonoff") == false){
                                bruitageDialogue.play();
                                bruitageDialogue.volume = 0.5;
                            }
                            
                        }
                    }   
        
                    function myStopFunction() {
                        clearInterval(interval);
                    }
        
                    
                    let x = 1;
                    let imgCliqued = document.createElement("img");
                    imgCliqued.classList.add("cliqued");
                    imgCliqued.setAttribute("src","assets/img/cliqued.svg");
                    divDialogue.appendChild(imgCliqued);
                    divDialogue.addEventListener("click", function(){
                    // if en check de j pour la longueur
                    if(j < arrayTexte.length){
                        divDialogueP.innerHTML = "&nbsp;"+vague.perso[i]["interraction"][x-1].replique;
                        j = 5000;
                        x--;
                    }
                    else{
                        j = 0;
                        myStopFunction();
                        if(x< vague.perso[i]["interraction"].length){
                            divDialogueP.innerHTML = "&nbsp;";
                            arrayTexte = vague.perso[i]["interraction"][x].replique.split("");
                            interval = setInterval(function(){dialogue(arrayTexte,0)}, 35);
                            imgDialogue.setAttribute("src","");
                            imgDialogue.setAttribute("class","");
                            imgDialogue.classList.add(vague.perso[i]["interraction"][x].class_dialogue);
                            imgDialogue.setAttribute("src","assets/img/personnages/"+vague.perso[i]["interraction"][x].personnage+".svg");
                            if (vague.perso[i]["interraction"][x].personnage == "1"){
                                imgDialogue.setAttribute("src", "assets/img/personnages/"+conteur+".svg");
                            }
                            
                        }
                        else{
                            container.removeChild(divNoir);
                            this.parentNode.removeChild(imgDialogue);
                            this.parentNode.removeChild(divDialogue);
                            avancement = vague.perso[i].avancement;
                        }
                    }
                    x++;
                });
                    newImg.classList.add("display");
                });
            }
        }
        generation();

        
    /* ||| Module du choix du voleur ||| */

    var choixPerso = document.querySelectorAll(".listchoix__li");
    var choixDiv = document.querySelector(".choix");
    var choixList = document.querySelector(".listchoix");
    var choixTitre = document.querySelector(".title--choix");
    for(let i =0; i < choixPerso.length; i++){
        choixPerso[i].addEventListener("click", function(){
            choixList.classList.add("display");
            choixTitre.innerHTML = this.getAttribute("data-nom");
            choixTitre.classList.add("title--choix--perso");

            let newImg = document.createElement("img");
            newImg.setAttribute("src", "assets/img/personnages/"+this.getAttribute("data-img"));
            choixDiv.appendChild(newImg);
            newImg.classList.add("choix__img");

            let newBtn = document.createElement("button");
            choixDiv.appendChild(newBtn);
            newBtn.classList.add("choix__btn");
            newBtn.innerHTML = "Je suis sur de moi";
            newBtn.setAttribute("data-perso", this.getAttribute("data-nom"));
            
            newBtn.addEventListener("click", function(){
                choixDiv.classList.add("display");
                let checkVoleur = this.getAttribute("data-perso");

                if(checkVoleur == "Karadoc"){
                    vague = cache3.personnage.vague11;
                    generation();
                    EpilogueP.innerHTML = "C’est ainsi que fut résolu le mystère de la disparition de l’amulette des voeux. Le seigneur Karadoc a finalement retrouvé l’amulette dans un coin de sa chambre mais malheureusement le voeux ayant été fait il faudra attendre 99 générations pour refaire un nouveau voeux. Espérons que d’ici là les nobles chevaliers de la table ronde auront trouvé le saint graal.";
                }
                else if(checkVoleur == "Père Blaise"){
                    vague = cache3.personnage.vague12;
                    generation();
                }
                else if(checkVoleur == "Perceval"){
                    vague = cache3.personnage.vague13;
                    generation();
                }
                else if(checkVoleur == "Leodagan"){
                    vague = cache3.personnage.vague14;
                    generation();
                }
                else if(checkVoleur == "Lancelot"){
                    vague = cache3.personnage.vague15;
                    generation();
                }
                else if(checkVoleur == "Le roi Arthur"){
                    vague = cache3.personnage.vague16;
                    generation();
                }
                choixDiv.classList.add("display");
            });

            let newBtn2 = document.createElement("button");
            choixDiv.appendChild(newBtn2);
            newBtn2.classList.add("choix__btn", "choix__btn--cancel");
            newBtn2.innerHTML = "Je vais encore réfléchir";

            newBtn2.addEventListener("click", function(){
                choixDiv.removeChild(newBtn);
                choixDiv.removeChild(newBtn2);
                choixDiv.removeChild(newImg);
                choixList.classList.remove("display");
                choixTitre.innerHTML = "L'heure du choix est venu ! Qui à volé l'amulette ?";
                choixTitre.classList.remove("title--choix--perso");
            });
        });
        
    }

    /* ||| Permet de lancer les différentes vague de personnages et dialogue ||| */

        function cleanScene(){
            for(let i=0; i < scene.length; i++){
                if(scene[i].hasChildNodes() == true){
                    for(let j=0; j < scene[i].childNodes.length; j++){
                        if(scene[i].childNodes[j].classList.contains("personnage") == true){
                            scene[i].childNodes[j].classList.add("display");
                        }
                    }
                }
            }
        }

        setInterval(function(){checkVague()}, 35);
        function checkVague(){
        if(avancement == 1){
                cleanScene();
                vague = cache3.personnage.vague2;
                generation();
                if(vague = cache3.personnage.vague2){
                    avancement = 0;
                    avancementDisplayIndice = 1;
                }
            }
            else if(avancement == 2){
                cleanScene();
                vague = cache3.personnage.vague3;
                generation();
                if(vague = cache3.personnage.vague3){
                    avancement = 0;
                }
            }
            else if(avancement == 3){
                cleanScene();
                vague = cache3.personnage.vague4;
                generation();
                if(vague = cache3.personnage.vague4){
                    avancement = 0;
                    avancementIndice = 1;
                }
            }
            else if(avancement == 4){
                cleanScene();
                vague = cache3.personnage.vague5;
                generation();
                if(vague = cache3.personnage.vague5){
                    avancement = 0;
                }
            }
            else if(avancement == 5){
                cleanScene();
                vague = cache3.personnage.vague6;
                generation();
                if(vague = cache3.personnage.vague6){
                    avancement = 0;
                }
            }
            else if(avancement == 6){
                cleanScene();
                vague = cache3.personnage.vague7;
                generation();
                if(vague = cache3.personnage.vague7){
                    avancement = 0;
                }
            }
            else if(avancement == 7){
                cleanScene();
                vague = cache3.personnage.vague8;
                generation();
                if(vague = cache3.personnage.vague8){
                    avancement = 0;
                    avancementIndice = 2;
                }
            }
            else if(avancement == 8){
                cleanScene();
                vague = cache3.personnage.vague9;
                generation();
                if(vague = cache3.personnage.vague9){
                    avancement = 0;
                }
            }
            else if(avancement == 9){
                cleanScene();
                vague = cache3.personnage.vague10;
                generation();
                if(vague = cache3.personnage.vague10){
                    avancement = 0; 
                }
            }
            else if(avancement == 10){
                choixDiv.classList.remove("display");
            
                avancement = 0;
                
            }
            else if(avancement == 11){
                divJeux.classList.add("display");
                divEpilogue.classList.remove("display");
                avancement = 0;
                
            }
        }
        setInterval(function(){checkDisplay()}, 35);
        function checkDisplay(){
            if(avancementDisplay == 1){
                if(scene[2].hasChildNodes() == true){
                    for(let j=0; j < scene[2].childNodes.length; j++){
                        if(scene[2].childNodes[j].classList.contains("merlin--armes") == true){
                            scene[2].childNodes[j].classList.remove("display");
                            avancementDisplay = 0;
                        }
                    }
                }
            }
        }
        setInterval(function(){checkDisplayIndice()}, 35);
        function checkDisplayIndice(){
            if(avancementDisplayIndice == 1){
                if(scene[2].hasChildNodes() == true){
                    for(let j=0; j < scene[2].childNodes.length; j++){
                        if(scene[2].childNodes[j].classList.contains("fiole--foudre") == true){
                            scene[2].childNodes[j].classList.remove("display");
                            avancementDisplayIndice = 0;
                        }
                    }
                }
            }
        }
    }

    /* ||| Affichage de l'inventaire ||| */

    var btnInventaire = document.querySelector(".menu__btn--sac");
    var inventaire = document.querySelector(".inventaire");
    var btnCloseInventaire = document.querySelector(".inventaire__btn");
    btnInventaire.addEventListener("click", function(){
        inventaire.classList.toggle("display");
        carte.classList.add("display");
        btnInventaire.classList.toggle("open");
    });
    btnCloseInventaire.addEventListener("click", function(){
        inventaire.classList.toggle("display");
        btnInventaire.classList.toggle("open");
    });


    /* ||| Affichage de la carte ||| */

    var btnCarte = document.querySelector(".menu__btn--carte");
    var carte = document.querySelector(".carte");
    var BtnCloseCarte = document.querySelector(".carte__btn");
    var pieces = document.querySelectorAll(".piece");
    btnCarte.addEventListener("click", function(){
        carte.classList.toggle("display");
        inventaire.classList.add("display");
        btnInventaire.classList.remove("open");
    });

    BtnCloseCarte.addEventListener("click", function(){
        carte.classList.toggle("display");
    });

    /* ||| Affichage des indices ||| */

    const url2 = "assets/json/indice.json";
    let cache2 = [];
    fetch(url2)
    .then(response => response.json())
    .then(json => {
        cache2 = json;
        indice();
    });

    /* "x" est une variable permettant d'ajouter les indices dans le bon indice du tableau inventaire */

    var x = 0;
    function indice(){
        let vague = cache2.json.vague1;
        var inventaireTable = [];

        function generationIndice(){
            for(let i=0; i<vague.indice.length; i++){
                let newImg = document.createElement("img");
                newImg.setAttribute("src", "assets/img/indices/"+ vague.indice[i].image);
                newImg.classList.add(vague.indice[i].class, "objet");
                if(vague.indice[i].display == "display"){
                    newImg.classList.add("display");
                }
                if(vague.indice[i].parent == "scene[0]"){
                    scene[0].appendChild(newImg);
                }
                else if(vague.indice[i].parent == "scene[1]"){
                    scene[1].appendChild(newImg);
                }
                else if(vague.indice[i].parent == "scene[2]"){
                    scene[2].appendChild(newImg);
                }
                else if(vague.indice[i].parent == "scene[3]"){
                    scene[3].appendChild(newImg);
                }
                else if(vague.indice[i].parent == "scene[4]"){
                    scene[4].appendChild(newImg);
                }
                else{
                    scene[5].appendChild(newImg);
                }
                
                newImg.addEventListener("click", function(){
                    if(vague.indice[i].nom == "Fiole étrange"){
                        avancementDisplay = 1;
                    }
                    /*Stockage des données des incides pour l'inventaire */
                    for(let j=0; j<4; j++){
                        inventaireTable[x] = new Array(4);
                    }
                    inventaireTable[x][0] = vague.indice[i].image;
                    inventaireTable[x][1] = vague.indice[i].class;
                    inventaireTable[x][2] = vague.indice[i].nom;
                    inventaireTable[x][3] = vague.indice[i].description;
                    x++;
                    /*affichage des information de l'indice*/
                    let divNoir = document.createElement("div");
                    divNoir.classList.add("divNoir");
                    container.appendChild(divNoir);

                    let newDiv = document.createElement("div");
                    newDiv.classList.add("indice");
                    container.appendChild(newDiv);

                    let newBtn = document.createElement("btn");
                    newBtn.classList.add("indice__btn");
                    newDiv.appendChild(newBtn);

                    let newImg2 = document.createElement("img");
                    newImg2.setAttribute("src", "assets/img/indices/"+ vague.indice[i].image);
                    newImg2.classList.add("indice__img");
                    newDiv.appendChild(newImg2);

                    let newTitle = document.createElement("h2");
                    newTitle.classList.add("title", "indice__title");
                    newTitle.innerHTML = vague.indice[i].nom;
                    newDiv.appendChild(newTitle);

                    let newP = document.createElement("p");
                    newP.innerHTML = vague.indice[i].description;  
                    newDiv.appendChild(newP);

                    newBtn.addEventListener("click", function(){
                        container.removeChild(divNoir);
                        container.removeChild(newDiv);
                        
                    });

                    this.parentNode.removeChild(newImg);
                    inventaireGeneration();
                });
            }
        }
        generationIndice()

        function cleanScene2(){
            for(let i=0; i < scene.length; i++){
                if(scene[i].hasChildNodes() == true){
                    for(let j=0; j < scene[i].childNodes.length; j++){
                        if(scene[i].childNodes[j].classList.contains("objet") == true){
                            scene[i].childNodes[j].classList.add("display");
                        }
                    }
                }
            }
        }

        setInterval(function(){checkVague()}, 35);
        function checkVague(){
        if(avancementIndice == 1){
                cleanScene2()
                vague = cache2.json.vague2;
                generationIndice();
                    if(vague = cache2.json.vague2){
                        avancementIndice = 0;
                    }
                }
            else if(avancementIndice == 2){
                cleanScene2()
                vague = cache2.json.vague3;
                generationIndice();
                    if(vague = cache2.json.vague3){
                        avancementIndice = 0;
                    }
                }
        }

        function inventaireGeneration(){
            var inventaireLi = document.querySelectorAll(".inventaireList__li");
            for(let i=0; i < inventaireLi.length; i++){
                inventaireLi[i].innerHTML = "";
            }

            for(let i=0; i < inventaireTable.length; i++){
                let newImg = document.createElement("img");
                newImg.setAttribute("src", "assets/img/indices/"+ inventaireTable[i][0]);
                newImg.classList.add("inventaireList__img");
                inventaireLi[i].appendChild(newImg);
                
                newImg.addEventListener("click", function(){
                    let divNoir = document.createElement("div");
                    divNoir.classList.add("divNoir");
                    container.appendChild(divNoir);

                    let newDiv = document.createElement("div");
                    newDiv.classList.add("indice");
                    container.appendChild(newDiv);

                    let newBtn = document.createElement("btn");
                    newBtn.classList.add("indice__btn");
                    newDiv.appendChild(newBtn);

                    let newImg2 = document.createElement("img");
                    newImg2.setAttribute("src", "assets/img/indices/"+ inventaireTable[i][0]);
                    newImg2.classList.add("indice__img");
                    newDiv.appendChild(newImg2);

                    let newTitle = document.createElement("h2");
                    newTitle.classList.add("title", "indice__title");
                    newTitle.innerHTML = inventaireTable[i][2];
                    newDiv.appendChild(newTitle);

                    let newP = document.createElement("p");
                    newP.innerHTML = inventaireTable[i][3];  
                    newDiv.appendChild(newP);

                    newBtn.addEventListener("click", function(){
                        this.parentNode.parentNode.removeChild(divNoir);
                        this.parentNode.parentNode.removeChild(newDiv);
                    });
                });
            }
        }
    }
}

/* Script landing page*/

else if(document.body.classList.contains("body--landing")){
    var btnBurger = document.querySelector(".header__btn");
    var nav = document.querySelector(".nav");
    var navA = document.querySelectorAll(".navlist__a");
    var bulle = document.querySelector(".bulle--arthur");
    btnBurger.addEventListener("click", function(){
        btnBurger.classList.toggle("header__btn--open");
        nav.classList.toggle("nav--open");
        document.body.classList.toggle("noscroll");
    });
    for(let i=0; i < navA.length; i++){
        navA[i].addEventListener("click", function(){
            btnBurger.classList.toggle("header__btn--open");
            nav.classList.toggle("nav--open");
            if(window.innerWidth < 1080){
                document.body.classList.toggle("noscroll");
            }
            
        });
    }
    if(window.innerWidth >= 1080){
        bulle.innerHTML = "Ya pas de quoi en chié une galette !";
        window.onscroll = function (e) {  
           nav.classList.add("navdesktop");
           if(window.scrollY == 0){
            nav.classList.remove("navdesktop");
           }
        } 
    }
}

